# Generated by Django 3.1.1 on 2020-10-14 02:28

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='mataKuliah',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nama_matkul', models.CharField(max_length=70)),
                ('dosen_pengajar', models.CharField(max_length=50)),
                ('jumlah_sks', models.PositiveIntegerField(null=True)),
                ('deskripsi', models.TextField(max_length=300, null=True)),
                ('ruangKelas', models.PositiveIntegerField(null=True)),
            ],
        ),
        migrations.CreateModel(
            name='chooseMatkul',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('published_date', models.DateTimeField(default=django.utils.timezone.now)),
                ('course', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='main.matakuliah')),
            ],
        ),
    ]
